<?php
require_once 'cartes.php';

// HOW TO USE PHP TO WRITE TO YOUR SERIAL PORT: TWO METHODS
function init_com($i)
{
	$serproxy=true;
	$com1=false;

	if ($serproxy)
	{
	    $ip=get_ip();
		// Use this code in conjunction with SERPROXY.EXE
		// (http://www.lspace.nildram.co.uk/freeware.html)
		// which converts a Serial stream to a TCP/IP stream
		$fp = fsockopen ($ip, 5331, $errno, $errstr, 30);
		if (!$fp)
		{
			echo "$errstr ($errno)";
		}
		elseif(isset($i))
		{
			$string=cartes($i);
       		fputs ($fp, $string);
       		fclose ($fp);
		}
	}
	elseif ($com1)
	{
		// Use this code to write directly to the COM1 serial port
		// First, you want to set the mode of the port. You need to set
		// it only once; it will remain the same until you reboot.
		// Note: the backticks on the following line will execute the
		// DOS 'mode' command from within PHP
		//Exemple: 'mode com1: BAUD=9600 PARITY=N data=8 stop=1 xon=off';

		$fp = fopen ("COM1:", "w+");
		if (!$fp)
		{
			echo "Oh Oh. Le port COM1 n'est pas ouvert.";
		}
		elseif(isset($i))
		{
			$string=cartes($i);
       		fputs ($fp, $string);
       		fclose ($fp);
    	}
	}
}

function get_ip()
{
	if($_SERVER)
	{
    	if($_SERVER['HTTP_X_FORWARDED_FOR'])
      		$ip = $_SERVER['HTTP_X_FORWARDED_FOR'];
    	elseif($_SERVER['HTTP_CLIENT_IP'])
      		$ip = $_SERVER['HTTP_CLIENT_IP'];
    	else
      		$ip = $_SERVER['REMOTE_ADDR'];
  	}
  	else
	{
    	if(getenv('HTTP_X_FORWARDED_FOR'))
      		$ip = getenv('HTTP_X_FORWARDED_FOR');
    	elseif(getenv('HTTP_CLIENT_IP'))
      		$ip = getenv('HTTP_CLIENT_IP');
    	else
      		$ip = getenv('REMOTE_ADDR');
  	}
	return $ip;
}


?>
